petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMTSGetI2Function

get TS implicit residual evaluation function for 2nd order systems

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetI2Function(DM dm,TSI2Function *fun,void **ctx)

Not Collective

### Input Argument

dm -DM to be used with TS

### Output Arguments

| fun | - function evaluation function, see TSSetI2Function() for calling sequence
| ctx | - context for residual evaluation

### Note

TSGetI2Function() is normally used, but it calls this function internally because the user context is actually associated with the DM.

### See Also

DMTSSetI2Function(),TSGetI2Function()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages